package nl.amis.view;


import javax.faces.component.UIComponent;

public class TextResource {
    
    private String label; // what visual property is the resource used for
    private String value; // what is the current resolved value of the resource
    private String expression; // what the EL expression underlying the current value
    private String key; // what is the key for resource
    private UIComponent component;
    private String originalValue;

    public TextResource(String label, String value, String expression,
                        String key, UIComponent component) {
        super();
        this.label = label;
        this.value = value;
        this.expression = expression;
        this.key = key;
        this.component = component;
        this.originalValue = value;
    } // for which component is the resource defined

    public Boolean isChanged() {
        if (value!= null && originalValue!= null) {
          return !value.equals(originalValue);
        }
        else {
         return !(value == null && originalValue == null);
        }
    }
    public void setLabel(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setExpression(String expression) {
        this.expression = expression;
    }

    public String getExpression() {
        return expression;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getKey() {
        return key;
    }

    public void setComponent(UIComponent component) {
        this.component = component;
    }

    public UIComponent getComponent() {
        return component;
    }
    

}
